Getting "MANIFEST INVALID" error when syncing a container repository

Solution Verified - Updated -

Issue

  • Getting an error similar to below when syncing a container repository:

    Failed with:
        description: '{''errors'': [{''code'': ErrorDetail(string=''MANIFEST_INVALID'',
          code=''parse_error''), ''message'': ErrorDetail(string="layers.0.mediaType:
          ''application/vnd.dev.cosign.simplesigning.v1+json'' is not one of [''application/vnd.oci.image.layer.v1.tar'',
          ''application/vnd.oci.image.layer.v1.tar+gzip'', ''application/vnd.oci.image.layer.v1.tar+zstd'',
          ''application/vnd.oci.image.layer.nondistributable.v1.tar'', ''application/vnd.oci.image.layer.nondistributable.v1.tar+gzip'',
          ''application/vnd.oci.image.layer.nondistributable.v1.tar+zstd'']", code=''parse_error''),
          ''detail'': {''digest'': ErrorDetail(string=''5a2b6b29e1be93771ca83695588e5c94103b1988d60b125086ee1bdeceddef0c'',
          code=''parse_error'')}}]}'
    

Environment

  • Red Hat Satellite 6.13

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content